%bcond_with tests

%global pypi_name django-haystack

Name:           python-%{pypi_name}
Version:        3.2.1
Release:    4%{?dist}
Summary:        Pluggable search for Django

License:        BSD-3-Clause
URL:            http://haystacksearch.org/
Source0:         %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
Haystack provides modular search for Django. It features a unified, familiar
API that allows you to plug in different search backends (such as Solr,
Elasticsearch, Whoosh, Xapian, etc.) without having to modify your code.

Haystack is BSD licensed, plays nicely with third-party app without needing to
modify the source and supports advanced features like faceting, More Like This,
highlighting, spatial search and spelling suggestions.

You can find more information at http://haystacksearch.org/.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        Haystack provides modular search for Django - Python 3 version

BuildRequires:  make
BuildRequires:  python3-devel

%description -n python3-%{pypi_name} %_description

This package provides Python 3 build of %{pypi_name}.


%package docs
Summary: Documentation for Django Haystack pluggable search

%description docs
Documentation for Django Haystack pluggable search

%_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -e docs -t


%build
%pyproject_wheel


pushd docs
make clean html htmlhelp latex json pickle changes
popd


%install
%pyproject_install
%pyproject_save_files haystack


%check
%if %{with tests}
%tox
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc PKG-INFO README.rst AUTHORS
%license LICENSE

%files docs
%doc docs/


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.2.1-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.2.1-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.2.1-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-1
- initial build
